package tech.nevets.jaml.auth;

import net.raphimc.mcauth.MinecraftAuth;
import net.raphimc.mcauth.step.java.StepMCProfile;
import net.raphimc.mcauth.step.msa.StepMsaDeviceCode;
import net.raphimc.mcauth.util.MicrosoftConstants;

import java.awt.*;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import org.apache.http.impl.client.CloseableHttpClient;

import javax.swing.*;

public class AuthRequests {

    public static void main(String[] args) {
        msLogin();
    }

    public static void msLogin() {
        StepMCProfile.MCProfile mcProfile;
        try (final CloseableHttpClient httpClient = MicrosoftConstants.createHttpClient()) {
            mcProfile = MinecraftAuth.JAVA_DEVICE_CODE_LOGIN.getFromInput(httpClient, new StepMsaDeviceCode.MsaDeviceCodeCallback(msaDeviceCode -> {
                if (Desktop.isDesktopSupported() && Desktop.getDesktop().isSupported(Desktop.Action.BROWSE)) {
                    try {
                        Desktop.getDesktop().browse(new URI(msaDeviceCode.verificationUri()));
                    } catch (IOException | URISyntaxException e) {
                        throw new RuntimeException(e);
                    }
                    JOptionPane.showMessageDialog(null, "Code: " + msaDeviceCode.userCode(), "Microsoft Verification Code", JOptionPane.PLAIN_MESSAGE);
                }
            }));
        } catch (Exception e) {
            System.out.println("Error Logging in...");
            e.printStackTrace();
        }
       // FileUtils.writeStringToFile(new File(JAML.path + ""));
    }
}
